Commit eed58edd authored by Matthias Möller's avatar Matthias Möller

add option to disable decrement deprecated warning

git-svn-id: http://www.openflipper.org/svnrepo/OpenFlipper/branches/Free@20345 383ad7c9-94d9-4d36-a494-682f7c89f535
parent 5682a09b
......@@ -88,6 +88,12 @@ endif ()
# using the internal openmesh delivered by the svn repo (default) or use some external installation
set (USE_INTERNAL_OPENMESH ON CACHE BOOL "Use and build internal version of OpenMesh found in libs_required")
# enable/disable openmesh warnings
set(NO_DECREMENT_DEPRECATED_WARNINGS OFF CACHE BOOL "Disables all deprecated warnings warning about decrement operations on normal circulators.")
if(NO_DECREMENT_DEPRECATED_WARNINGS)
add_definitions( -DNO_DECREMENT_DEPRECATED_WARNINGS )
endif()
# OpenMesh is a dependent project (in libs_required) so no finder is needed.
if (NOT USE_INTERNAL_OPENMESH)
find_package (OpenMesh REQUIRED)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment